Get Posts

http
POST https://services.leadconnectorhq.com/social-media-posting/{locationId}/posts/list

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
locationIdstringYesve9EPM428h8vShlRW1KTAccount Id

Body

NameTypeRequiredExampleDescription
typestringNoFilter typetype must be one of the following values: recent, all, scheduled, draft, failed, in_review, published, in_progress and deleted
accountsstringNo660a83fc29deacac50033e2b_omaDY3RbWtTP511e808O_17841465964543589, 38bF83fc29deacac50033e2b_omaDY3RbWtr3P11e808O_17841465964543998List of account Ids separated by comma as a string
skipstringYes1
limitstringYes10
fromDatestringYes2024-01-22T05:32:49.463ZFrom Date
toDatestringYes2024-03-20T05:32:49.463ZTo Date
includeUsersstringYestrueInclude User Data
postTypeobjectNopostPost Type must be one of the following values: - post, story, reel

Responses

201 - Successful response
  • success (boolean, required): Success or Failure Example: True

  • statusCode (number, required): Status Code Example: 201

  • message (string, required): Message Example: Fetched Posts

  • results (object): Requested Results

json
{
  "success": true,
  "statusCode": 201,
  "message": "Fetched Posts"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/social-media-posting/YOUR_locationId/posts/list' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "type": "Filter type",
  "accounts": "660a83fc29deacac50033e2b_omaDY3RbWtTP511e808O_17841465964543589, 38bF83fc29deacac50033e2b_omaDY3RbWtr3P11e808O_17841465964543998",
  "skip": "1",
  "limit": "10",
  "fromDate": "2024-01-22T05:32:49.463Z",
  "toDate": "2024-03-20T05:32:49.463Z",
  "includeUsers": "true",
  "postType": "post"
}'

Last updated October 26, 2026

Was this page helpful?